Bug 199760 - [build] unable to run release.sh for RPI-B
Summary: [build] unable to run release.sh for RPI-B
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: arm (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Glen Barber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-28 15:27 UTC by Ruben Kerkhof
Modified: 2015-05-01 00:33 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruben Kerkhof 2015-04-28 15:27:06 UTC
While running:
ruben@localhost:/usr/src/release % sudo ./release.sh -c arm/RPI-B.conf

The build eventually stops with:

===> gcov (install)
install -s -o root -g wheel -m 555   gcov /usr/bin/gcov
install -o root -g wheel -m 444 gcov.1.gz  /usr/share/man/man1
Starting at Tue Apr 28 05:46:57 UTC 2015
Loading configuration from /tmp/external/arm/crochet-RPI-B.conf
Board: RaspberryPi
Option: ImageSize 1gb
Cannot import option Growfs.
No setup.sh found in either:
  * /tmp/crochet/board/RaspberryPi/option
  * /tmp/crochet/option


Looking at arm/RPI-B.conf, it does:
export CROCHETBRANCH="trunk@r744"

I checked out crochet, and r744 doesn't have the GrowFS option yet.
This is probably also an issue for the other arm boards.
Comment 1 commit-hook freebsd_committer 2015-04-28 15:33:29 UTC
A commit references this bug:

Author: gjb
Date: Tue Apr 28 15:33:01 UTC 2015
New revision: 282148
URL: https://svnweb.freebsd.org/changeset/base/282148

Log:
  Fix CROCHETBRANCH, forgotten in r280640.

  Submitted by:	ruben.kerkhof@gmail.com
  PR:		199760
  MFC after:	3 days
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/release/arm/BEAGLEBONE.conf
  head/release/arm/PANDABOARD.conf
  head/release/arm/RPI-B.conf
  head/release/arm/WANDBOARD-QUAD.conf
  head/release/arm/ZEDBOARD.conf
Comment 2 Glen Barber freebsd_committer 2015-04-28 15:34:06 UTC
This is fixed in r282148.

Thank you for the report.
Comment 3 Ruben Kerkhof 2015-04-29 12:44:23 UTC
Thanks Glen!
Comment 4 commit-hook freebsd_committer 2015-05-01 00:33:18 UTC
A commit references this bug:

Author: gjb
Date: Fri May  1 00:31:41 UTC 2015
New revision: 282292
URL: https://svnweb.freebsd.org/changeset/base/282292

Log:
  MFC r282148:
    Fix CROCHETBRANCH.

  PR:		199760
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  stable/10/
  stable/10/release/arm/BEAGLEBONE.conf
  stable/10/release/arm/PANDABOARD.conf
  stable/10/release/arm/RPI-B.conf
  stable/10/release/arm/WANDBOARD-QUAD.conf
  stable/10/release/arm/ZEDBOARD.conf